@import "variables/font";
@import "variables/colors";

.account-details {
  align-items: flex-start;
  display: flex;
  flex-direction: column;
  gap: 30px;
  margin-bottom: 60px;

  .title {
    color: $neutral-80;
    font-family: $poppins-semibold;
    font-size: 20px;
    line-height: 32px;
    margin: 0;
  }

  .form {
    display: flex;
    flex-direction: column;
    gap: 27px;
    align-items: flex-start;

    mo-input {
      min-width: 320px;
    }

    .description {
      min-width: 487px;
    }
  }

  .account-items {
    display: grid;
    grid-template-columns: 1fr 1fr;
    min-width: 67%;
    gap: 3rem 1rem;

    .name {
      color: $neutral-60;
      font-size: 16px;
      line-height: 24px;
    }

    .description {
      color: $neutral-70;
      font-family: $roboto-regular;
      font-size: 10px;
      line-height: 13px;
      max-width: 200px;
    }

    .number {
      align-items: center;
      background: $neutral-20;
      border-radius: 5px;
      color: $neutral-60;
      display: flex;
      font-family: $roboto-bold;
      font-size: 16px;
      line-height: 24px;
      padding: 7px 14px;
      text-align: center;
      width: fit-content;
    }
  }
}
